using Intrepid.Structures;
using UnityEngine;

namespace Intrepid.Gameplay.Entities.Player.Sentinel.StateMachine.States
{
    public class SentinelStateNop : SentinelState
    {
        public override SentinelStateType GetStateKey()
        {
            return SentinelStateType.Nop;
        }

        protected override void Subscriptions()
        {
        }

        protected override void RunOnEnter(ParameterStore ps)
        {
            EndCadence();
            Brain.Controls.ResetDash();
            Brain.InputResolver.Sentinel.Clear();
            Brain.Entity.ModelAnimation.Pause();
            Brain.Entity.DesiredVelocity = Vector2.zero;
        }

        protected override void RunOnExit()
        {
            Brain.Entity.ModelAnimation.Unpause();
        }

        public override void RunOnUpdate()
        {
        }
    }
}